psychopy.org | Reference | Downloads | Github

Run error timeByFrames demo with release 3.0.0b3

There is a run error when trying out the timesByFrames demo on Psychopy 3.0.0b3 (installed from StandalonePsychoPy3-3.0.0b3-win32.exe).
What is the best way of fixing?

Output is below:

Problem compiling: [Errno 13] Permission denied: ‘C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\demos\coder\timing\timeByFrames.pyc’

Running: C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\demos\coder\timing\timeByFrames.py

Traceback (most recent call last):
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\demos\coder\timing\timeByFrames.py”, line 23, in
import pylab
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\pylab.py”, line 1, in
from matplotlib.pylab import *
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\pylab.py”, line 252, in
from matplotlib import cbook, mlab, pyplot as plt
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\pyplot.py”, line 115, in
_backend_mod, new_figure_manager, draw_if_interactive, show = pylab_setup()
File "C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends_init
.py", line 62, in pylab_setup
[backend_name], 0)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\backend_qt4agg.py”, line 9, in
from .backend_qt5agg import (
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\backend_qt5agg.py”, line 15, in
from .backend_qt5 import (
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\backend_qt5.py”, line 19, in
import matplotlib.backends.qt_editor.figureoptions as figureoptions
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\qt_editor\figureoptions.py”, line 20, in
import matplotlib.backends.qt_editor.formlayout as formlayout
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\qt_editor\formlayout.py”, line 54, in
from matplotlib.backends.qt_compat import QtGui, QtWidgets, QtCore
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\matplotlib\backends\qt_compat.py”, line 204, in
“Matplotlib qt-based backends require an external PyQt4, PyQt5,\n”
ImportError: Matplotlib qt-based backends require an external PyQt4, PyQt5,
PySide or PySide2 package to be installed, but it was not found.